Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.dig
Class TripleObjectFiller

    java.lang.Object
      com.hp.hpl.jena.reasoner.dig.TripleObjectFiller

All Implemented Interfaces:
  Map1

    public class TripleObjectFiller

extends java.lang.Object
implements Map1

Mapper to create triples from a given predicate and subject

Version:
  CVS $Id: TripleObjectFiller.java,v 1.6 2008/01/02 12:07:09 andy_seaborne Exp $
Author:
  Ian Dickinson, HP Labs (email)

Constructor Summary
`TripleObjectFiller(Node subject, Node predicate)` Construct a mapper to create triples from the given predicate and subject, with an object supplied by the iterator being mapped.
`TripleObjectFiller(Resource subject, Property predicate)` Construct a mapper to create triples from the given predicate and subject, with an object supplied by the iterator being mapped.

Method Summary
`java.lang.Object` | `map1(java.lang.Object x)` Convert an object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TripleObjectFiller

    public TripleObjectFiller(Resource subject,
                              Property predicate)

  Construct a mapper to create triples from the given predicate and subject, with an object supplied by the iterator being mapped.

### TripleObjectFiller

    public TripleObjectFiller(Node subject,
                              Node predicate)

  Construct a mapper to create triples from the given predicate and subject, with an object supplied by the iterator being mapped.

Method Detail

### map1

    public java.lang.Object map1(java.lang.Object x)

  Description copied from interface: `Map1`
  Convert an object.

  Specified by:
    `map1` in interface `Map1`
  Parameters:
    `x` - The thing to be converted.
  Returns:
    The converted thing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP